Installer - Bug #31018

Pulpcore PostgreSQL database is not enforced to UTF-8
10/07/2020 04:11 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 2.2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/126,
https://github.com/theforeman/puppet-pul
pcore/pull/130,
https://github.com/theforeman/puppet-pul
pcore/pull/133

2.1.4,2.2.0

Description
This often causes the database to be initialized as ASCII which then fails.

https://community.theforeman.org/t/foreman-2-2-rc3-with-katello-3-16-on-centos-7-recommended-for-prod/20771/6 is just the latest

example.

We should enforce it just like we do for Foreman's database.

Related issues:
Has duplicate Installer - Bug #30697: Pulpcore database created with SQL_ASCI...

Duplicate

Associated revisions

Revision 48b63dd7 - 10/07/2020 05:53 PM - Ewoud Kohl van Wijngaarden
Fixes #31018 - Force UTF-8 database encoding

If this is not set, the environment is used. Often this causes the
database to be initialized as ASCII which breaks Pulpcore.

History

#1 - 10/07/2020 04:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/126 added

#2 - 10/07/2020 06:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|48b63dd75bc52357d56f16f28850812eb337e78e.

#3 - 10/08/2020 08:59 PM - Ewoud Kohl van Wijngaarden
- Has duplicate Bug #30697: Pulpcore database created with SQL_ASCII encoding added

#4 - 10/13/2020 03:01 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/130 added

#5 - 10/14/2020 06:05 AM - Tomer Brisker
- Target version changed from 2.1.4 to 2.2.0
- Fixed in Releases 2.1.4 added
https://community.theforeman.org/t/foreman-2-2-rc3-with-katello-3-16-on-centos-7-recommended-for-prod/20771/6
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/48b63dd75bc52357d56f16f28850812eb337e78e

#6 - 10/14/2020 01:26 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/133 added

#7 - 10/19/2020 12:07 PM - Tomer Brisker
- Fixed in Releases 2.2.0 added
